<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="bg-white border border-top-0 d-flex flex-row flex-nowrap shadow-sm">
  <div class="m-4">

    <h4 [innerText]="messages.ADMIN_RGPD_TITLE"></h4>

    <div class="mt-4">
      <div class="modal-body">
        <fa-icon
          *ngIf="loadingData"
          class="position-relative"
          [icon]="commonIcons.SPINNER_ICON"
          [spin]="true">
        </fa-icon>
        <form *ngIf="gdprForm && !loadingData" [formGroup]="gdprForm" class="ls-form" novalidate>
          <div class="form-group row">

            <div class="col-md-5">
              <h5 [innerText]="messages.ADMIN_RGPD_ENTITY"></h5>
              <ng-container *ngFor="let field of entityFormFields">
                <label
                  class="mt-2 w-100 d-flex justify-content-between"
                  [for]="field.id"
                  [innerText]="field.label">
                </label>
                <input
                  [id]="field.id"
                  [formControlName]="field.controlName"
                  type="text"
                  class="form-control"
                >
              </ng-container>
            </div>

            <div class="col-md-5">
              <h5 class="mt-4" [innerText]="messages.ADMIN_RGPD_RESPONSIBLE"></h5>
              <ng-container *ngFor="let field of respFormFields">
                <label
                  class="mt-2 w-100 d-flex justify-content-between"
                  [for]="field.id"
                  [innerText]="field.label">
                </label>
                <input
                  [id]="field.id"
                  [formControlName]="field.controlName"
                  type="text"
                  class="form-control"
                >
              </ng-container>
              <h5 class="mt-4" [innerText]="messages.ADMIN_RGPD_DPO"></h5>
              <ng-container *ngFor="let field of dpoFormFields">
                <label
                  class="mt-2 w-100 d-flex justify-content-between"
                  [for]="field.id"
                  [innerText]="field.label">
                </label>
                <input
                  [id]="field.id"
                  [formControlName]="field.controlName"
                  type="text"
                  class="form-control"
                >
              </ng-container>
            </div>

            <div class="mt-4 custom-control custom-checkbox">
              <input
                id="isHostSameAsEntityCheckbox"
                class="custom-control-input"
                type="checkbox"
                formControlName="isHostSameAsEntity"
                (change)="updateHostSameAsEntity()"
                [checked]="this.isHostSameAsEntity"
              >
              <label
                class="custom-control-label"
                for="isHostSameAsEntityCheckbox"
                [innerText]="messages.ADMIN_HOST_SAME_CHECKBOX">
              </label>
            </div>

            <div class="col-md-5" *ngIf="!this.isHostSameAsEntity">
              <h5 class="mt-2" [innerText]="messages.ADMIN_RGPD_HOSTING"></h5>
              <ng-container *ngFor="let field of hostingFormFields">
                <label
                  class="mt-2 w-100 d-flex justify-content-between"
                  [for]="field.id"
                  [innerText]="field.label">
                </label>
                <input
                  [id]="field.id"
                  [formControlName]="field.controlName"
                  type="text"
                  class="form-control"
                >
              </ng-container>
            </div>

            <div class="mt-4 custom-control custom-checkbox">
              <input
                id="isMaintenanceSameAsHostCheckbox"
                class="custom-control-input"
                type="checkbox"
                formControlName="isMaintenanceSameAsHost"
                (change)="updateMaintenanceSameAsHost()"
                [checked]="this.isMaintenanceSameAsHost"
              >
              <label
                class="custom-control-label"
                for="isMaintenanceSameAsHostCheckbox"
                [innerText]="messages.ADMIN_MAINTENANCE_SAME_CHECKBOX">
              </label>
            </div>

            <div class="col-md-5" *ngIf="!this.isMaintenanceSameAsHost">
              <h5 class="mt-2" [innerText]="messages.ADMIN_RGPD_MAINTENANCE"
              ></h5>
              <ng-container *ngFor="let field of maintenanceFormFields">
                <label
                  class="mt-2 w-100 d-flex justify-content-between"
                  [for]="field.id"
                  [innerText]="field.label">
                </label>
                <input
                  [id]="field.id"
                  [formControlName]="field.controlName"
                  type="text"
                  class="form-control"
                >
              </ng-container>
            </div>
          </div>
        </form>
      </div>
    </div>

    <div class="text-center">
      <button
        [disabled]="gdprForm?.invalid"
        ls-button-save
        [processing]="savingData"
        (click)="onSaveButtonClicked()">
      </button>
    </div>
  </div>
</div>
